curl --request POST \
--url https://{host}/payment/v1/payment-locations/{paymentLocation}/setup \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "1234",
"force": false,
"type": "Cashier"
}
'{}{
"name": "<string>",
"message": "<string>",
"details": null
}Set up payment location.
Set up a new payment location or update an existing one. A paymentLocation is required either way. Having a registered payment location is a prerequisite for the POS system to create payments.
POST
/
v1
/
payment-locations
/
{paymentLocation}
/
setup
curl --request POST \
--url https://{host}/payment/v1/payment-locations/{paymentLocation}/setup \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "1234",
"force": false,
"type": "Cashier"
}
'{}{
"name": "<string>",
"message": "<string>",
"details": null
}Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Unique identifier of POS in payment service. Recommended pattern is '{storeId}_{posId}'.
Maximum string length:
128Body
application/json
The payment location details
The store identifier
Required string length:
1 - 64Payment location type
Minimum string length:
1The qr code assigned to the payment location
Maximum string length:
64Allows to re-assign the qrCode if it's already assigned to another payment location
Response
OK
The response is of type object.
Last modified on August 10, 2026